ZipMultiReportOutput (JaCoCo 0.6.3.201306030806 API)
Date: 2013-06-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jacoco.report
Class ZipMultiReportOutput

    java.lang.Object
      org.jacoco.report.ZipMultiReportOutput

All Implemented Interfaces:
  IMultiReportOutput

    public class ZipMultiReportOutput

extends Object
implements IMultiReportOutput

Implementation of `IMultiReportOutput` that writes files into a `ZipOutputStream`.

Constructor Summary
`ZipMultiReportOutput(OutputStream out)` Creates a new instance based on the given `OutputStream`.
`ZipMultiReportOutput(ZipOutputStream zip)` Creates a new instance based on the given `ZipOutputStream`.

Method Summary
`void` | `close()` Closes the underlying resource container.
`OutputStream` | `createFile(String path)` Creates a file at the given local path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZipMultiReportOutput

    public ZipMultiReportOutput(ZipOutputStream zip)

  Creates a new instance based on the given `ZipOutputStream`.

  Parameters:
    `zip` - stream to write file entries to

### ZipMultiReportOutput

    public ZipMultiReportOutput(OutputStream out)

  Creates a new instance based on the given `OutputStream`.

  Parameters:
    `out` - stream to write file entries to

Method Detail

### createFile

    public OutputStream createFile(String path)
                            throws IOException

  Description copied from interface: `IMultiReportOutput`
  Creates a file at the given local path. The returned `OutputStream` has to be closed before the next document is created.

  Specified by:
    `createFile` in interface `IMultiReportOutput`
  Parameters:
    `path` - local path to the new document
  Returns:
    output for the content
  Throws:
    `IOException` - if the creation fails

### close

    public void close()
               throws IOException

  Description copied from interface: `IMultiReportOutput`
  Closes the underlying resource container.

  Specified by:
    `close` in interface `IMultiReportOutput`
  Throws:
    `IOException` - if closing fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 Mountainminds GmbH & Co. KG. All Rights Reserved.